Axis2/C: any content type

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# any content type
[WS-Addressing]

## Files
file | axis2_any_content_type.h
## Typedefs
typedef struct axis2_any_content_type | axis2_any_content_type_t
## Functions
AXIS2_EXTERN axis2_any_content_type_t * | axis2_any_content_type_create (const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_any_content_type_add_value (axis2_any_content_type_t *any_content_type, const axutil_env_t *env, const axutil_qname_t *qname, const axis2_char_t *value)
AXIS2_EXTERN const axis2_char_t * | axis2_any_content_type_get_value (const axis2_any_content_type_t *any_content_type, const axutil_env_t *env, const axutil_qname_t *qname)
AXIS2_EXTERN axutil_hash_t * | axis2_any_content_type_get_value_map (const axis2_any_content_type_t *any_content_type, const axutil_env_t *env)
AXIS2_EXTERN void | axis2_any_content_type_free (axis2_any_content_type_t *any_content_type, const axutil_env_t *env)

## Detailed Description

any content type acts as a container for any type reference parameters that could be associated with an endpoint reference. The values in the map are stored in string format, with QNames as key values.

## Typedef Documentation

typedef struct axis2_any_content_type axis2_any_content_type_t

Type name for axis2_any_content_type

## Function Documentation

AXIS2_EXTERN axis2_status_t axis2_any_content_type_add_value | ( | axis2_any_content_type_t * | any_content_type,
|  | const axutil_env_t * | env,
|  | const axutil_qname_t * | qname,
|  | const axis2_char_t * | value |
| ) |  |  |

Adds given value to content value map with given QName.

Parameters:

  | any_content_type | pointer to any content type struct
  | env | pointer to environment struct
  | qname | pointer to QName to be used as key
  | value | value string to be added

Returns:
  AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_any_content_type_t* axis2_any_content_type_create | ( | const axutil_env_t * | env | ) |

Creates an instance of any content type struct.

Parameters:

  | env | pointer to environment struct

Returns:
  pointer to the newly created any content type instance

AXIS2_EXTERN void axis2_any_content_type_free | ( | axis2_any_content_type_t * | any_content_type,
|  | const axutil_env_t * | env |
| ) |  |  |

Frees any content type struct.

Parameters:

  | any_content_type | pointer to any content type struct
  | env | pointer to environment struct

Returns:
  AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN const axis2_char_t* axis2_any_content_type_get_value | ( | const axis2_any_content_type_t * | any_content_type,
|  | const axutil_env_t * | env,
|  | const axutil_qname_t * | qname |
| ) |  |  |

Gets the value corresponding to the given QName from the content value map.

Parameters:

  | any_content_type | pointer to any content type struct
  | env | pointer to environment struct
  | qname | pointer to QName of the corresponding value to be retrieved

Returns:
  value string if present, else returns NULL

AXIS2_EXTERN axutil_hash_t* axis2_any_content_type_get_value_map | ( | const axis2_any_content_type_t * | any_content_type,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the map of all values.

Parameters:

  | any_content_type | pointer to any content type struct
  | env | pointer to environment struct

Returns:
  pointer to hash table containing all values, returns a reference, not a cloned copy